"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const microservice_1 = require("@jfrog-pipelines/microservice");
const utility_1 = require("@jfrog-pipelines/utility");
const worker_1 = require("./worker");
const logLevel = 'info';
const QUEUE_NAME = 'core.stepService';
const store = microservice_1.globalStore;
const serviceEnum = 15;
const serviceDetails = utility_1.ServiceMeta[serviceEnum];
const options = {
    enum: serviceEnum,
    initializers: [new microservice_1.ApiCheckInitializer(serviceEnum), new microservice_1.AccessClientInitializer()],
    healthChecks: [],
    logLevel: logLevel,
    validator: new microservice_1.DefaultApplicationValidator([], [])
};
async function startApp() {
    const app = new microservice_1.Application(options, store);
    const worker = new worker_1.StepServiceWorker(serviceDetails, store);
    await app.listen(QUEUE_NAME, worker);
}
startApp();
//# sourceMappingURL=app.js.map